## r-cran-bbmisc 1.7

=== DESCRIPTION ===
Package: BBmisc
Title: Miscellaneous helper functions for B. Bischl.
Description: Miscellaneous helper functions for and from B. Bischl and
    some other guys at TU Dortmund, mainly for package development.
Author: Bernd Bischl <bernd_bischl@gmx.net>, Michel Lang
    <lang@statistik.tu-dortmund.de>, Olaf Mersmann
    <olafm@p-value.net>, Jakob Bossek <j.bossek@gmail.com>,
    Jakob Richter <code@jakob-r.de>
Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
URL: https://github.com/berndbischl/BBmisc
BugReports: https://github.com/berndbischl/BBmisc/issues
License: BSD_3_clause + file LICENSE
Encoding: UTF-8
Imports: stats, checkmate
Suggests: testthat, microbenchmark
LazyData: yes
ByteCompile: yes
Version: 1.7
Packaged: 2014-06-21 15:42:46 UTC; bischl
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-06-21 18:17:47

=== debian/changelog ===
r-cran-bbmisc (1.7-1) unstable; urgency=medium

  * New upstream version
  * (Build-)Depends: r-cran-checkmate

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jul 2014 23:00:32 +0200

r-cran-bbmisc (1.6-1) unstable; urgency=low

  * Initial release (Closes: #751543)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jun 2014 22:52:06 +0200

=== debian/control ===
Source: r-cran-bbmisc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 3.0.0),
               r-cran-checkmate
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-bbmisc/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bbmisc/trunk/
Homepage: http://cran.r-project.org/web/packages/BBmisc/

Package: r-cran-bbmisc
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-checkmate
Description: GNU R Miscellaneous helper functions for B. Bischl
 Miscellaneous helper functions for and from B. Bischl and some other
 guys at TU Dortmund, mainly for package development.

## r-cran-bbmisc 1.9

=== DESCRIPTION ===
Package: BBmisc
Title: Miscellaneous Helper Functions for B. Bischl
Description: Miscellaneous helper functions for and from B. Bischl and
    some other guys at TU Dortmund, mainly for package development.
Authors@R: c(person("Bernd", "Bischl", email = "bernd_bischl@gmx.net",
    role = c("aut", "cre")), person("Michel", "Lang", email =
    "michellang@gmail.com", role = "aut"), person("Jakob", "Bossek", email =
    "jakob.bossek@tu-dortmund.de", role = "aut"), person("Daniel", "Horn",
    email = "daniel.horn@tu-dortmund.de", role = "aut"), person("Jakob",
    "Richter", email = "code@jakob-r.de", role = "aut"))
URL: https://github.com/berndbischl/BBmisc
BugReports: https://github.com/berndbischl/BBmisc/issues
License: BSD_3_clause + file LICENSE
Encoding: UTF-8
Imports: stats, checkmate
Suggests: testthat, microbenchmark, codetools
LazyData: yes
ByteCompile: yes
Version: 1.9
Packaged: 2015-02-03 12:39:37 UTC; bischl
Author: Bernd Bischl [aut, cre],
  Michel Lang [aut],
  Jakob Bossek [aut],
  Daniel Horn [aut],
  Jakob Richter [aut]
Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-02-03 14:03:05

=== debian/changelog ===
r-cran-bbmisc (1.9-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * DEP5 name

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 11:02:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cdbs,
                r-base-dev (>= 3.0.0),
                r-cran-checkmate
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-bbmisc/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bbmisc/trunk/
 Homepage: http://cran.r-project.org/web/packages/BBmisc/

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	rm -rf debian/$(package)/usr/lib/R/site-library/*/LICENSE

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/BBmisc_([-\d.]*)\.tar\.gz

## r-cran-bbmisc 1.10

=== DESCRIPTION ===
--- 
+++ 
@@ -7,23 +7,26 @@
     "michellang@gmail.com", role = "aut"), person("Jakob", "Bossek", email =
     "jakob.bossek@tu-dortmund.de", role = "aut"), person("Daniel", "Horn",
     email = "daniel.horn@tu-dortmund.de", role = "aut"), person("Jakob",
-    "Richter", email = "code@jakob-r.de", role = "aut"))
+    "Richter", email = "code@jakob-r.de", role = "aut"), person("Dirk", "Surmann",
+    email = "surmann@statistik.tu-dortmund.de", role = "aut"))
 URL: https://github.com/berndbischl/BBmisc
 BugReports: https://github.com/berndbischl/BBmisc/issues
 License: BSD_3_clause + file LICENSE
 Encoding: UTF-8
-Imports: stats, checkmate
+Imports: utils, methods, stats, checkmate (>= 1.8.0)
 Suggests: testthat, microbenchmark, codetools
 LazyData: yes
 ByteCompile: yes
-Version: 1.9
-Packaged: 2015-02-03 12:39:37 UTC; bischl
+Version: 1.10
+RoxygenNote: 5.0.1
+NeedsCompilation: yes
+Packaged: 2016-07-11 21:52:13 UTC; bischl
 Author: Bernd Bischl [aut, cre],
   Michel Lang [aut],
   Jakob Bossek [aut],
   Daniel Horn [aut],
-  Jakob Richter [aut]
+  Jakob Richter [aut],
+  Dirk Surmann [aut]
 Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
-NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2015-02-03 14:03:05
+Date/Publication: 2016-07-12 07:49:34

=== debian/changelog ===
r-cran-bbmisc (1.10-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * Versioned Build-Depends: r-cran-checkmate (>= 1.8.0)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2016 12:02:23 +0100

r-cran-bbmisc (1.9-2) unstable; urgency=medium

  * Fix missing test depencency r-cran-codetools
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 21:06:19 +0200

=== debian/control ===
Source: r-cran-bbmisc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev (>= 3.0.0),
               r-cran-checkmate (>= 1.8.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-bbmisc/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bbmisc/trunk/
Homepage: https://cran.r-project.org/package=BBmisc

Package: r-cran-bbmisc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Miscellaneous helper functions for B. Bischl
 Miscellaneous helper functions for and from B. Bischl and some other
 guys at TU Dortmund, mainly for package development.

## r-cran-bbmisc 1.11

=== DESCRIPTION ===
Package: BBmisc
Title: Miscellaneous Helper Functions for B. Bischl
Description: Miscellaneous helper functions for and from B. Bischl and
    some other guys, mainly for package development.
Authors@R: c(person("Bernd", "Bischl", email = "bernd_bischl@gmx.net",
    role = c("aut", "cre")), person("Michel", "Lang", email =
    "michellang@gmail.com", role = "aut"), person("Jakob", "Bossek", email =
    "j.bossek@gmail.com", role = "aut"), person("Daniel", "Horn",
    email = "daniel.horn@tu-dortmund.de", role = "aut"), person("Jakob",
    "Richter", email = "code@jakob-r.de", role = "aut"), person("Dirk", "Surmann",
    email = "surmann@statistik.tu-dortmund.de", role = "aut"))
URL: https://github.com/berndbischl/BBmisc
BugReports: https://github.com/berndbischl/BBmisc/issues
License: BSD_2_clause + file LICENSE
Encoding: UTF-8
Imports: utils, methods, stats, checkmate (>= 1.8.0)
Suggests: testthat, microbenchmark, codetools
LazyData: yes
ByteCompile: yes
Version: 1.11
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-03-09 20:34:04 UTC; bischl
Author: Bernd Bischl [aut, cre],
  Michel Lang [aut],
  Jakob Bossek [aut],
  Daniel Horn [aut],
  Jakob Richter [aut],
  Dirk Surmann [aut]
Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
Repository: CRAN
Date/Publication: 2017-03-10 00:20:46

=== debian/changelog ===
r-cran-bbmisc (1.11-1) unstable; urgency=medium

  * New upstream version
  * Fix Vcs-Browser
  * debhelper 10
  * d/watch: version=4
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 16:35:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev (>= 3.0.0),
                r-cran-checkmate (>= 1.8.0)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-bbmisc/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bbmisc/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-bbmisc.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-bbmisc.git
 Homepage: https://cran.r-project.org/package=BBmisc
 
 Package: r-cran-bbmisc

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/BBmisc_([-\d.]*)\.tar\.gz

## r-cran-bbmisc 1.12

=== debian/changelog ===
r-cran-bbmisc (1.12-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 10:44:32 +0100

r-cran-bbmisc (1.11-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 14:17:05 +0200

r-cran-bbmisc (1.11-3) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Silence lintian about false positive

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 15:13:50 +0200

r-cran-bbmisc (1.11-2) unstable; urgency=medium

  * Fix autopkgtest (thanks for the patch to Steve Langasek
    <steve.langasek@canonical.com>)
    Closes: #891948
  * Secure watch file
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 04 Mar 2018 08:46:47 +0100

=== debian/control ===
Source: r-cran-bbmisc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-checkmate,
               r-cran-data.table
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bbmisc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bbmisc.git
Homepage: https://cran.r-project.org/package=BBmisc
Rules-Requires-Root: no

Package: r-cran-bbmisc
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Miscellaneous helper functions for B. Bischl
 Miscellaneous helper functions for and from B. Bischl and some other
 guys at TU Dortmund, mainly for package development.

## r-cran-bbmisc 1.13

=== DESCRIPTION ===
Package: BBmisc
Title: Miscellaneous Helper Functions for B. Bischl
Version: 1.13
Authors@R: c(
    person("Bernd", "Bischl", , "bernd_bischl@gmx.net", role = c("aut", "cre")),
    person("Michel", "Lang", , "michellang@gmail.com", role = "aut"),
    person("Jakob", "Bossek", , "j.bossek@gmail.com", role = "aut"),
    person("Daniel", "Horn", , "daniel.horn@tu-dortmund.de", role = "aut"),
    person("Jakob", "Richter", , "code@jakob-r.de", role = "aut"),
    person("Dirk", "Surmann", , "surmann@statistik.tu-dortmund.de", role = "aut")
  )
Description: Miscellaneous helper functions for and from B. Bischl and
    some other guys, mainly for package development.
License: BSD_2_clause + file LICENSE
URL: https://github.com/berndbischl/BBmisc
BugReports: https://github.com/berndbischl/BBmisc/issues
Imports: checkmate (>= 1.8.0), data.table, methods, stats, utils
Suggests: codetools, microbenchmark, testthat
ByteCompile: yes
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: yes
Packaged: 2022-09-29 09:08:21 UTC; michel
Author: Bernd Bischl [aut, cre],
  Michel Lang [aut],
  Jakob Bossek [aut],
  Daniel Horn [aut],
  Jakob Richter [aut],
  Dirk Surmann [aut]
Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
Repository: CRAN
Date/Publication: 2022-09-29 10:30:08 UTC

=== debian/changelog ===
r-cran-bbmisc (1.13-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 07 Oct 2022 11:27:57 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-checkmate,
                r-cran-data.table
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bbmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bbmisc.git
 Homepage: https://cran.r-project.org/package=BBmisc

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-codetools
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/BBmisc_([-\d.]*)\.tar\.gz

## r-cran-bbmisc 1.13.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BBmisc
 Title: Miscellaneous Helper Functions for B. Bischl
-Version: 1.13
+Version: 1.13.1
 Authors@R: c(
     person("Bernd", "Bischl", , "bernd_bischl@gmx.net", role = c("aut", "cre")),
     person("Michel", "Lang", , "michellang@gmail.com", role = "aut"),
@@ -18,9 +18,9 @@
 Suggests: codetools, microbenchmark, testthat
 ByteCompile: yes
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2022-09-29 09:08:21 UTC; michel
+Packaged: 2026-01-21 10:42:03 UTC; marc
 Author: Bernd Bischl [aut, cre],
   Michel Lang [aut],
   Jakob Bossek [aut],
@@ -29,4 +29,4 @@
   Dirk Surmann [aut]
 Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
 Repository: CRAN
-Date/Publication: 2022-09-29 10:30:08 UTC
+Date/Publication: 2026-01-21 11:20:02 UTC

=== debian/changelog ===
r-cran-bbmisc (1.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 28 Jan 2026 08:46:01 +0900

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-checkmate,
-               r-cran-data.table
-Standards-Version: 4.6.1
+               r-cran-data.table,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bbmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bbmisc.git
 Homepage: https://cran.r-project.org/package=BBmisc

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-codetools,
        r-cran-microbenchmark,
        r-cran-testthat
Restrictions: allow-stderr
